package com.agilefaqs.rft.suggestions;

import com.agilefaqs.rft.suggestions.strategies.ChildStrategyParam;
import com.agilefaqs.rft.suggestions.strategies.ChildSuggestionFactory;

public class IdentitySuggestionFourStrategy extends AbstractCommonSuggestionsStrategy implements SuggestionStrategy {

    public IdentitySuggestionFourStrategy(ChildSuggestionFactory childSuggestionFactory) {
        super(childSuggestionFactory);
    }

    @Override
    public String getIdentity(SuggestionParam params) {
        ChildStrategyParam childParam = new ChildStrategyParam(params.getValidFirstNameToken(), params.getCity(), params
                .getValidLastNameToken());
        return suggestedIdentity(childParam);
    }

}
