package com.agilefaqs.rft.utils;

public class StringUtils {
    /**
     * @param word
     * @param allowedChars
     * @return
     */
    public static String removeSpecialCharactersIfAny(final String word, final char[] allowedChars) {
        int index = 0;
        int size = word.length();
        String chars = String.valueOf(allowedChars);
        StringBuffer filteredWord = new StringBuffer();
        if (word.startsWith("-")) {
            index++;
        }
        if (word.endsWith("-")) {
            size--;
        }
        while (index < size) {
            String letter = String.valueOf(word.charAt(index++));
            if (org.apache.commons.lang.StringUtils.isAlphanumeric(letter) || chars.contains(letter)) {
                filteredWord.append(letter);
            }
        }
        return filteredWord.toString();
    }
}
