package com.agilefaqs.rft.utils;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class StringUtilsTest {
    @Test
    public void shouldRemoveSpecialCharactersIfAny() {
        char[] allowedChars = new char[] { '-' };
        assertEquals(StringUtils.removeSpecialCharactersIfAny("-Naresh", allowedChars), "Naresh");
        assertEquals(StringUtils.removeSpecialCharactersIfAny("Naresh-", allowedChars), "Naresh");
        assertEquals(StringUtils.removeSpecialCharactersIfAny("-Naresh #@-!$ Jain-", allowedChars), "Naresh-Jain");
    }
}
