package com.agilefaqs.rft.suggestions;

import com.agilefaqs.rft.suggestions.strategies.ChildStrategyParam;
import com.agilefaqs.rft.suggestions.strategies.ChildSuggestionFactory;

public class IdentitySuggestionTwoStrategy extends AbstractCommonSuggestionsStrategy implements SuggestionStrategy {

    public IdentitySuggestionTwoStrategy(ChildSuggestionFactory childSuggestionFactory) {
        super(childSuggestionFactory);
    }

    @Override
    public String getIdentity(SuggestionParam params) {

        ChildStrategyParam childParam = new ChildStrategyParam(params.getValidFirstNameToken(), params.getCountryName(), params
                .getValidLastNameToken());
        return suggestedIdentity(childParam);
    }

}
